
import { Router } from '@angular/router';
import { Component } from '@angular/core';
import * as Parse from "parse"

@Component({
  selector: 'app-tab3',
  templateUrl: 'tab3.page.html',
  styleUrls: ['tab3.page.scss']
})
export class Tab3Page {

  constructor(private router: Router) {}

  ngOnInit() {
    this.getUser()
  }

  editProfile() {
    this.router.navigate(['/new-page']);
  }
  openDigitalEstateAccount() {
    // 开通数字遗产账户的逻辑
    this.router.navigate(['/login']);
  }

  //获取用户信息
  currentUser:any
  getUser(){
    this.currentUser = Parse.User.current()
    console.log(this.currentUser);
    
  }

  //前往相册
  goAlbum(){
    this.router.navigate(['/album']);
  }


  
}